#include <stdio.h>
#define N 4

unsigned int RUNPP_REG_ERR = 0;

unsigned int sifruj(unsigned int kljuc, unsigned int *niz, unsigned int n);

void printbin(unsigned int x) {
    unsigned int m=0x80000000, s=0;
    while(m) {
        printf("%s%s",m&x ? "1" : "0",++s%8 ? "" : " ");
        m >>= 1;
    }
}

int main() {
    unsigned int niz[N], kljuc, g=0;

    printf("Kljuc: ");
    scanf("%d", &kljuc);

    printf("Elementi niza:\n");
    int i;
    for(i = 0; i < N; i++) {
        printf("%2d: ",i);
        scanf("%x", &niz[i]);
        printf("\tBinarno: ");
        printbin(niz[i]);
        printf("\n");
    }

    sifruj(kljuc, niz, N);

    printf("Elementi niza nakon sifrovanja:\n");
    for(i = 0; i < N; i++) {
        printf("%2d: ",i);
        printbin(niz[i]);
        printf("\n");
    }

    #ifdef LEVEL42
    printf("\nRUNPP_REG_ERR:%d\n",RUNPP_REG_ERR);
    #endif
    return g;
}

